# Documentation

## [Installing NEST](installation.md)

## [Introduction to PyNEST](introduction-to-pynest.md)

## NEST User Manual

-   [Frequently Asked Questions](frequently-asked-questions.md)
-   [Analog recording with multimeter](analog-recording-with-multimeter.md)
-   [Connection Management](connection-management.md)
-   [Topological Connections](http://www.nest-simulator.org/wp-content/uploads/2015/04/Topology_UserManual.pdf)
-   [Random numbers in NEST](random-numbers.md)
-   [Parallel Computing](parallel-computing.md)
-   [Scheduling and simulation flow](scheduling-and-simulation-flow.md)
-   [Simulations with precise spike times](simulations-with-precise-spike-times.md)
-   [Simulations with gap junctions](simulations-with-gap-junctions.md)
-   [Using NEST with MUSIC](using-nest-with-music.md)
-   [Using NEST with the SLI interpreter](an-introduction-to-sli.md)
-   [NEST/SLI Quick Reference](quickref.md)
-   [NEST Command Index](helpindex.md)

## Example Networks

-   [brunel_alpha_nest](py_samples/brunel_alpha_nest.md)
-   [precise_spiking](py_samples/precise_spiking.md)
-   [repeated_stimulation](py_samples/repeated_stimulation.md)
-   [brette_gerstner_fig_3d](py_samples/brette_gerstner_fig_3d.md)
-   [evaluate_aeif_cond_alpha_RK5](py_samples/evaluate_aeif_cond_alpha_RK5.md)
-   [mc_neuron](py_samples/mc_neuron.md)
-   [CampbellSiegert](py_samples/CampbellSiegert.md)
-   [intrinsic_currents_subthreshold](py_samples/intrinsic_currents_subthreshold.md)
-   [twoneurons](py_samples/twoneurons.md)
-   [brunel_delta_nest](py_samples/brunel_delta_nest.md)
-   [pulsepacket](py_samples/pulsepacket.md)
-   [evaluate_quantal_stp_synapse](py_samples/evaluate_quantal_stp_synapse.md)
-   [brette_gerstner_fig_2c](py_samples/brette_gerstner_fig_2c.md)
-   [intrinsic_currents_spiking](py_samples/intrinsic_currents_spiking.md)
-   [multimeter_file](py_samples/multimeter_file.md)
-   [tsodyks_facilitating](py_samples/tsodyks_facilitating.md)
-   [tsodyks_depressing](py_samples/tsodyks_depressing.md)
-   [one_neuron](py_samples/one_neuron.md)
-   [balancedneuron](py_samples/balancedneuron.md)
-   [testiaf](py_samples/testiaf.md)
-   [structural_plasticity](py_samples/structural_plasticity.md)
-   [csa_topology_example](py_samples/csa_topology_example.md)
-   [plot_weight_matrices](py_samples/plot_weight_matrices.md)
-   [correlospinmatrix_detector_two_neuron](py_samples/correlospinmatrix_detector_two_neuron.md)
-   [sinusoidal_poisson_generator](py_samples/sinusoidal_poisson_generator.md)
-   [csa_example](py_samples/csa_example.md)
-   [brunel_exp_multisynapse_nest](py_samples/brunel_exp_multisynapse_nest.md)
-   [one_neuron_with_noise](py_samples/one_neuron_with_noise.md)
-   [evaluate_tsodyks2_synapse](py_samples/evaluate_tsodyks2_synapse.md)
-   [BrodyHopfield](py_samples/BrodyHopfield.md)
-   [vinit_example](py_samples/vinit_example.md)
-   [plot_quantal_stp_synapse](py_samples/plot_quantal_stp_synapse.md)
-   [brunel_alpha_numpy](py_samples/brunel_alpha_numpy.md)
-   [if_curve](py_samples/if_curve.md)
-   [sinusoidal_gamma_generator](py_samples/sinusoidal_gamma_generator.md)
-   [gap_junctions_two_neurons](py_samples/gap_junctions_two_neurons.md)
-   [gap_junctions_inhibitory_network](py_samples/gap_junctions_inhibitory_network.md)

## Further Reading

-   [NEST by Example](wp-content/uploads/2015/02/NEST_by_Example.pdf)
-   Read and improve the [NEST article on  Scholarpedia.org](http://scholarpedia.org/article/NEST_\(NEural_Simulation_Tool\))
-   Read and improve the [NEST article on Wikipedia](http://en.wikipedia.org/wiki/NEST_\(software\))

## NEST Developer Manual

For information about modifying and extending NEST and contributing your code
to the official version, please head over to the [NEST Developer Space](http://nest.github.io/nest-simulator.html).
