# Download & Releases

NEST is available under the [GNU General Public License 2 or later](license.md).
This means that you can

-   use NEST for your research,
-   modify and improve NEST according to your needs,
-   distribute NEST to others under the same license.

To find out more about NEST, see the [list of features](features.md)
and the [user documentation](documentation.md).
For details about how to contribute to the development of NEST, see the [developer space](http://nest.github.io/nest-simulator).

## Citing NEST

Please cite NEST if you use it in your work.

If you use NEST 2.12.0, please cite it as **Kunkel, Susanne et al. (2017).
NEST 2.12.0. Zenodo. 10.5281/zenodo.259534**. The full citation is available
in different formats on [Zenodo](http://dx.doi.org/10.5281/zenodo.259534).

If you use NEST v2.10.0, please cite it as **Bos, Hannah et al. (2015).
NEST 2.10.0. Zenodo. 10.5281/zenodo.44222**. The full citation is available
in different formats on [Zenodo](http://dx.doi.org/10.5281/zenodo.44222).

If you use NEST v2.8.0, please cite it as **Eppler, Jochen Martin et al. (2015).
NEST 2.8.0. Zenodo. 10.5281/zenodo.32969**. The full citation is available
in different formats on [Zenodo](http://dx.doi.org/10.5281/zenodo.32969).

For all versions below NEST v2.8.0 and for citing NEST without referring to a
specific version, please use: [Gewaltig M-O & Diesmann M (2007) NEST (Neural
Simulation Tool) Scholarpedia
2(4):1430](http://www.scholarpedia.org/article/NEST_(Neural_Simulation_Tool)).

Here is a suitable BibTeX entry:

```latex
@ARTICLE{Gewaltig:NEST,
  author  = {Marc-Oliver Gewaltig and Markus Diesmann},
  title   = {NEST (NEural Simulation Tool)},
  journal = {Scholarpedia},
  year    = {2007},
  volume  = {2},
  pages   = {1430},
  number  = {4}
}
```

Please get in touch with us about your publications that used NEST, we will
add them to our [publication list](publications.md), thus making them visible
to potential readers.

## Ubuntu 15.10 Live Media with NEST 2.8.0

**[Download](http://www.nest-simulator.org/downloads/gplreleases/lubuntu-15.10_nest-2.8.0.ova)** (OVA, ~2.3G)          **[Checksum](http://www.nest-simulator.org/downloads/gplreleases/lubuntu-15.10_nest-2.8.0.ova.sha512sum)** (sha512sum)

Username and password are both set to "nest". Please change the password.
 Including Brian, LFPy, MUSIC, NEST, NEURON, PyNN.

Live media is available in the OVA format, suitable, for example, for importing
into VirtualBox. Useful for trying out NEST without installing it on your
computer, especially for Windows and Mac OS X users.

[NEST Live Media setup and first steps.](http://www.nest-simulator.org/wp-content/uploads/2015/10/nest_setup.pdf)
